<!--#include file="../../SKCMS/Conn.asp"-->
<!--#include file="../../SKCMS/sk.sys.cs"-->
<% 	
Set Fso = Server.CreateObject("scripting.FileSystemObject")
If  Fso.FileExists(Server.MapPath(""&MyDbPath&"SKCMS/Install/index.asp"))  Then
     Set Fso = Nothing
	 Response.Redirect ""&MyDbPath&"SKCMS/Install/"
	  Response.End	
END IF

	Dim skweboa,SK_window
	Set skweboa = New SK_The_Lord_system_service
	Public Function SKCMS_Members_login_detection()
	on error resume next
	Dim AdminName,PassWord
		SKCMS_Members_login_detection = false 
		AdminName = skweboa.C_SKCMSSQL(Trim(Request.Cookies(SkcmsCookies)("AdminName")))
		PassWord= skweboa.C_SKCMSSQL(Trim(Request.Cookies(SkcmsCookies)("AdminPassword")))
 	IF AdminName="" Or PassWord = "" Then
		AdminName = skcmscodeD(regadmin)
		PassWord= skcmscodeD(regpassword)
	end if
		IF AdminName="" Or PassWord = "" Then
		   SKCMS_Members_login_detection=false
		   Exit Function
		Else
			Dim UserRs
			Set Userrs=skweboa.SK_axe("Select Admin_Name,PassWord,ID,SuperTF,Purview,skweb_Other From Admin_skweb Where Admin_Name='" & AdminName & "' And PassWord='" & PassWord & "'")
			IF UserRS.Eof And UserRS.Bof Then
				SKCMS_Members_login_detection=false
			Else
				SKCMS_Members_login_detection = true
							Response.Cookies(SkcmsCookies)("AdminName") = Userrs("Admin_Name")
							Response.Cookies(SkcmsCookies)("AdminPassword") = Userrs("PassWord")
							Response.Cookies(SkcmsCookies)("AdminID") = Userrs("ID")
							 If Userrs("SuperTF")=1 Then 
							 Response.Cookies(SkcmsCookies)("SuperTF")=1
							 else
							 Response.Cookies(SkcmsCookies)("SuperTF")=0
							 end if
			End if
			UserRS.Close:Set UserRS=Nothing
	   End IF
	End Function 
	IF Cbool(SKCMS_Members_login_detection)=false Then
	  Response.Write "<script>top.location.href='"&MyDbPath&""&skweboa.SK_sys(23)&"/Login/?';</script>"
	  Response.end
	End If
    Call skweboa.bqts()	

Function  ModeFormmav  '自定义菜单
sql = "select * from ModeForm_skweb where ModeStatus=0 "
set Rs = skweboa.SK_axe(sql)
i=8
do while not rs.eof
response.write " <li><a href=""Sys_skweb/Form/list.asp?ModeID="&Rs("ModeID")&""" target=""main""   id=""nav_1_"&i&""" hidefocus=""true""  >"&Rs("ModeName")&" ("&Conn.execute("select Count(id) from "&RS("ModeTable")&" where modeid="&Rs("ModeID")&" and Sh=0")(0)&")</a></li>  "
i=i+1
rs.movenext
loop
rs.close 
Set rs=Nothing 	 	  
End Function



Function fsofiledatemofei(sfile)
sfilere=""
Set fso = Server.CreateObject("Scripting.FileSystemObject")
if sfile="" or isnull(sfile) then sfile=Request.ServerVariables("SCRIPT_NAME")
if not fso.FileExists(server.Mappath(sfile)) then sfile=Request.ServerVariables("SCRIPT_NAME")
sfile=server.Mappath(sfile)
Set fsofile=fso.getfile(sfile)
sfilere=sfilere&chr(9)&round(fsofile.size*1000/1024/1000,2)&"" 
set fso=nothing
fsofiledatemofei=sfilere
End Function


%>

 <%
 	Class F
	       	Public Function skweb_DateStr(DateForm)
			 IF DateForm = 0 Then
		 		Response.Write"<option value=""0"" Selected>-不显示日期-</option>"
			 Else
		 		Response.Write "<option value=""0"">-不显示日期-</option> "
			 End IF
			  If CStr(DateForm) = "1" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""1""" & Str & " >2005-10-1</option>")
			  If CStr(DateForm) = "2" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""2""" & Str & ">2005.10.1</option>")
			  If CStr(DateForm) = "3" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""3""" & Str & ">2005/10/1</option>")
			  If CStr(DateForm) = "4" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""4""" & Str & ">10/1/2005</option>")
			  If CStr(DateForm) = "5" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""5""" & Str & ">2005年10月</option>")
			  If CStr(DateForm) = "6" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""6""" & Str & ">2005年10月1日</option>")
			  If CStr(DateForm) = "7" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""7""" & Str & ">10.1.2005</option>")
			  If CStr(DateForm) = "8" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""8""" & Str & ">10-1-2005</option>")
			  If CStr(DateForm) = "9" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""9""" & Str & ">10/1</option>")
			  If CStr(DateForm) = "10" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""10""" & Str & ">10.1</option>")
			  If CStr(DateForm) = "11" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""11""" & Str & ">10月1日</option>")
			  If CStr(DateForm) = "12" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""12""" & Str & ">1日12时</option>")
			  If CStr(DateForm) = "13" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""13""" & Str & ">1日12点</option>")
			  If CStr(DateForm) = "14" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""14""" & Str & ">12时12分</option>")
			  If CStr(DateForm) = "15" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""15""" & Str & ">12:12</option>")
			  If CStr(DateForm) = "16" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""16""" & Str & ">10-1</option>")
			   If CStr(DateForm) = "17" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""17""" & Str & ">10/1 12:00</option>")
			   skweb_DateStr = skweb_DateStr & ("<option value=""19""" & Str & ">JUN 30, 2013 08:00:00</option>")		  
			  skweb_DateStr = skweb_DateStr & ("<optgroup  label=""-----加括号格式-----""></optgroup>")

			  If CStr(DateForm) = "21" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""21""" & Str & " >(2005-10-1)</option>") 
			  If CStr(DateForm) = "22" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""22""" & Str & ">(2005.10.1)</option>")
			  If CStr(DateForm) = "23" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""23""" & Str & ">(2005/10/1)</option>")
			  If CStr(DateForm) = "24" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""24""" & Str & ">(10/1/2005)</option>")
			  If CStr(DateForm) = "25" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""225""" & Str & ">(2005年10月)</option>")
			  If CStr(DateForm) = "26" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""26""" & Str & ">(2005年10月1日)</option>")
			  If CStr(DateForm) = "27" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""27""" & Str & ">(10.1.2005)</option>")
			  If CStr(DateForm) = "28" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""28""" & Str & ">(10-1-2005)</option>")
			  If CStr(DateForm) = "29" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""29""" & Str & ">(10/1)</option>")
			  If CStr(DateForm) = "30" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""30""" & Str & ">(10.1)</option>")
			  If CStr(DateForm) = "31" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""31""" & Str & ">(10月1日)</option>")
			  If CStr(DateForm) = "32" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""32""" & Str & ">(1日12时)</option>")
			  If CStr(DateForm) = "33" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""33""" & Str & ">(1日12点)</option>")
			  If CStr(DateForm) = "34" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""34""" & Str & ">(12时12分)</option>")
			  If CStr(DateForm) = "35" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""35""" & Str & ">(12:12)</option>")
			  If CStr(DateForm) = "36" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""36""" & Str & ">(10-1)</option>")
			  If CStr(DateForm) = "37" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""37""" & Str & ">(10/1 12:00)</option>")

			  skweb_DateStr = skweb_DateStr & ("<optgroup  label=""-----加中括号格式-----""></optgroup>")
			  If CStr(DateForm) = "41" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""41""" & Str & ">[2005-10-1]</option>")
			  If CStr(DateForm) = "42" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""42""" & Str & ">[2005.10.1]</option>")
			  If CStr(DateForm) = "43" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""43""" & Str & ">[2005/10/1]</option>")
			  If CStr(DateForm) = "44" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""44""" & Str & ">[10/1/2005]</option>")
			  If CStr(DateForm) = "45" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""45""" & Str & ">[2005年10月]</option>")
			  If CStr(DateForm) = "46" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""46""" & Str & ">[2005年10月1日]</option>")
			  If CStr(DateForm) = "47" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""47""" & Str & ">[10.1.2005]</option>")
			  If CStr(DateForm) = "48" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""48""" & Str & ">[10-1-2005]</option>")
			  If CStr(DateForm) = "49" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""49""" & Str & ">[10/1]</option>")
			  If CStr(DateForm) = "50" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""50""" & Str & ">[10.1]</option>")
			  If CStr(DateForm) = "51" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""51""" & Str & ">[10月1日]</option>")
			  If CStr(DateForm) = "52" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""52""" & Str & ">[1日12时]</option>")
			  If CStr(DateForm) = "53" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""53""" & Str & ">[1日12点]</option>")
			  If CStr(DateForm) = "54" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""54""" & Str & ">[12时12分]</option>")
			  If CStr(DateForm) = "55" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""55""" & Str & ">[12:12]</option>")
			  If CStr(DateForm) = "56" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""56""" & Str & ">[10-1]</option>")
			  If CStr(DateForm) = "57" Then Str = " Selected" Else Str = ""
			   skweb_DateStr = skweb_DateStr & ("<option value=""57""" & Str & ">[10/1 12:00]</option>")
		End Function






'所属类别
 Function  skcomrpidosrt(ModeID,sitepathid)
		 Dim Crs,selected,ModeSql
	if skweboa.SK_sys(70)=1 then 
		 If Modeid<>0 Then ModeSql=ModeSql&"And ModeID="&ModeID	 
    end if 	 
	if sitepathid<>"" then 
	  if sitepathid=1 then 
	     ModeSql=ModeSql&"  And moresite=1"	
	  else
		ModeSql=ModeSql&"  And sitepath='"&sitepathid&"'"	
       end if
	else
		ModeSql=ModeSql&"  And   moresite=0 "	
	end if 	
	
		 Set Crs = skweboa.SK_axe("Select * from Class_skweb where ParentID='0' "&ModeSql&"   and ClassID<>'"&ClassID&"' Order by Orderid desc,ID desc")
		 If Not  Crs.Eof Then
		 do while Not Crs.Eof
				If classnames=Crs("ClassID") Then selected=" selected=""selected""" Else selected=""
				   skcomrpidosrt=skcomrpidosrt&"<option value='"&Crs("ClassID")&"' "&selected&">"& Crs("ClassName") & "</option>"& vbCrLf		   
				 skcomrpidosrt=skcomrpidosrt&(SKGetForpid(Crs("ClassID"),""))
			 Crs.MoveNext
		 Loop
		 Crs.Close:Set Crs=Nothing
		 End IF
	 End  Function 
	 
	 Function SKGetForpid(CID,Str)
	       Dim Sql,RSC,TempImageStr,ImageStr,CheckStr,selected
	        TempImageStr = "&nbsp;└"
	        Sql = "Select * from Class_skweb where ParentID='" & CID & "'  and ClassID<>'"&ClassID&"'"
	        Set RSC = skweboa.SK_axe(Sql)
			ImageStr = Str & "&nbsp;└"
	            do while Not RSC.Eof
					If classnames=RSC("ClassID") Then selected=" selected=""selected""" Else selected=""
				if skweboa.SK_sys(70)=1 then 	
					  If RSC("ModeID")= ModeID   Then 

						SKGetForpid = SKGetForpid  & "<option value='"&RSC("ClassID")&"' "&selected&">"& ImageStr & TempImageStr &" "& RSC("ClassName")& "</option>"& vbCrLf

					  End If 
				else
						SKGetForpid = SKGetForpid  & "<option value='"&RSC("ClassID")&"' "&selected&">"& ImageStr & TempImageStr &" "& RSC("ClassName")& "</option>"& vbCrLf
				end if	  
					   SKGetForpid = SKGetForpid & SKGetForpid(RSC("ClassID"),ImageStr)
					   RSC.MoveNext
	           loop
	       Set RSC = Nothing
	 End Function
	 
	 




		Public Function skCMSlist_Mode(Selected)	 '选择模型
		Dim MX_Sys,i
			MX_Sys=skweboa.SK_systemReturn_Mode()
			If IsArray(MX_Sys) Then
				For I=0 To Ubound(MX_Sys,2)
			   IF Selected=MX_Sys(0,I) Then
				skCMSlist_Mode=skCMSlist_Mode & "<option value=""" & MX_Sys(0,I) & """ Selected>" & MX_Sys(1,I)&"" & "</option>"& vbCrLf
			   Else
				skCMSlist_Mode=skCMSlist_Mode & "<option value=""" & MX_Sys(0,I) & """>" & MX_Sys(1,I)&"" & "</option>"& vbCrLf
			   End If
			Next
			End If
		End Function	
 		Public Function relative(mid,infoid)	 '根据模型/ID 获取内容标题
		 Dim Crs
		 Set Crs = skweboa.SK_axe("select ID,Title from "&skweboa.SK_Mroot(mid,2)&" where ID="&infoid&"  Order by ID asc")
		 If Not  Crs.Eof Then
				   relative=Crs("Title")	   
		 End IF
		   Crs.Close:Set Crs=Nothing
		End Function	
 
'获取标签分类名字
 Function  lablename(id)
		 Dim Crs,selected
		 Set Crs = skweboa.SK_axe("Select ID,Foldername From skweb_Labelsort where id="&id&" ")
		 If Not  Crs.Eof Then
		 do while Not Crs.Eof
				   lablename=lablename&"  "& Crs("Foldername") & "    "& vbCrLf		   
			 Crs.MoveNext
		 Loop
		 Crs.Close:Set Crs=Nothing
		 End IF
	 End  Function 	
	 
	Function  ForClasslist(ModeID,sitepathid)    '栏目
		 Dim Crs,selected,ModeSql
	if skweboa.SK_sys(70)=1 then 	 
		If Modeid<>0 Then ModeSql="And ModeID="&ModeID
	end if 	

	if sitepathid<>"" then 
		ModeSql=ModeSql&"  And sitepath='"&sitepathid&"'"	
	end if 	
		 Set Crs = skweboa.SK_axe("Select * from Class_skweb where ParentID='0' "&ModeSql&"     Order by Orderid desc,ID desc")
		 If Not  Crs.Eof Then
		 do while Not Crs.Eof
				If ClassID=Crs("ClassID") Then selected=" selected=""selected""" Else selected=""
				
				        if ModeID=Crs("ModeID") then 
					if	Crs("skwebLink")<>1 then
					else
				      ForClasslist=ForClasslist&"<option value='"&Crs("ClassID")&"' "&selected&">"& Crs("ClassName") & "</option>"& vbCrLf	
					 end if 
				   	   else
				   'ForClasslist=ForClasslist&" <option value='' >"& Crs("ClassName") & " (模型)</option>  "& vbCrLf						   
					   end if
				 ForClasslist=ForClasslist&(GetForClass(Crs("ClassID"),""))
			 Crs.MoveNext
		 Loop
		 Crs.Close:Set Crs=Nothing
		 End IF
	 End  Function 
	 Function GetForClass(CID,Str)
	       Dim Sql,RSC,TempImageStr,ImageStr,CheckStr,selected
	        TempImageStr = "&nbsp;└"
	        Sql = "Select * from Class_skweb where ParentID='" & CID & "'  and skwebLink=1"
	        Set RSC = skweboa.SK_axe(Sql)
			ImageStr = Str & "&nbsp;└"
	            do while Not RSC.Eof
					If ClassID=RSC("ClassID") Then selected=" selected=""selected""" Else selected=""
					
					  If RSC("ModeID")= ModeID   Then 
						GetForClass = GetForClass  & "<option value='"&RSC("ClassID")&"' "&selected&">"& ImageStr & TempImageStr &" "& RSC("ClassName")& "</option>"& vbCrLf
					  End If 

					   GetForClass = GetForClass & GetForClass(RSC("ClassID"),ImageStr)
					   RSC.MoveNext
	           loop
			   RSC.Close
	       Set RSC = Nothing
	 End Function

'输出时间
	Function GetDate(DateStr)
	GetDate=Year(DateStr) & "-" & Right("0" & Month(DateStr), 2) & "-" & Right("0" & Day(DateStr), 2)
	End Function 

'生成标签配置文件
 Function  skcong()
		 Dim Crs,selected
		 Set Crs = skweboa.SK_axe("Select * from sksys where SKIF=0 ")
		 If Not  Crs.Eof Then
		 do while Not Crs.Eof 
	    	skcont = skcont &  " Replace_content = Replace(Replace_content, ""{$SKCMS_"&Crs("lable")&"}"","""&Replace(Replace(CloseHtml(skweboa.ReplaceTrim(Crs("name"))),vbCrLf, ""), "&nbsp;","")&""")     "  & vbCrLf	      
			 Crs.MoveNext
		 Loop
		 Crs.Close:Set Crs=Nothing
		 End IF
		 
		Call skweboa.FSOSaveASP( "<"&"%"      & skcont   & "%"&">",""&MyDbPath&"SKCMS/skconfig/SKCMS_lable.cs")	
		
		
		xmlflv=xmlflv&"<?xml version=""1.0"" encoding=""utf-8""?>" & vbCrLf	 
		xmlflv=xmlflv&"<ckplayer>" & vbCrLf	 
		xmlflv=xmlflv&"<share_html>" & vbCrLf	 
		xmlflv=xmlflv&"{embed src="""&skweboa.SK_Host_site()&"SKCMS/app/flv/player.swf"" flashvars=""[$share]"" quality=""high"" width=""480"" height=""400"" align=""middle"" allowScriptAccess=""always"" allowFullscreen=""true"" type=""application/x-shockwave-flash""}{/embed}" & vbCrLf	 
		xmlflv=xmlflv&"</share_html>" & vbCrLf	 
		xmlflv=xmlflv&"<share_flash>" & vbCrLf	 
		xmlflv=xmlflv&""&skweboa.SK_Host_site()&"SKCMS/app/flv/player.swf?[$share]" & vbCrLf	 
		xmlflv=xmlflv&"</share_flash>" & vbCrLf	 
  
		
 		xmlflv=xmlflv&"<share_flashvars>" & vbCrLf	 
		xmlflv=xmlflv&"f,my_url,a" & vbCrLf	 
		xmlflv=xmlflv&"</share_flashvars>" & vbCrLf	 
 		xmlflv=xmlflv&"<share_path>" & vbCrLf	 
		xmlflv=xmlflv&""&skweboa.SK_Host_site()&"SKCMS/app/flv/share/" & vbCrLf	 
		xmlflv=xmlflv&"</share_path>" & vbCrLf	 
 		xmlflv=xmlflv&"<share_replace>" & vbCrLf	 
		xmlflv=xmlflv&"</share_replace>" & vbCrLf	 
		xmlflv=xmlflv&"<share_load>" & vbCrLf	 
 		xmlflv=xmlflv&"1" & vbCrLf	 
		xmlflv=xmlflv&"</share_load>" & vbCrLf	 
		xmlflv=xmlflv&"<share_charset>" & vbCrLf	 
 		xmlflv=xmlflv&"0" & vbCrLf	 
		xmlflv=xmlflv&"</share_charset>" & vbCrLf	 
		xmlflv=xmlflv&"<share_uuid>" & vbCrLf	 
 		xmlflv=xmlflv&"c25cf02c-1705-412d-bd4b-77a10b380f08" & vbCrLf	 
		xmlflv=xmlflv&"</share_uuid>" & vbCrLf	 
		xmlflv=xmlflv&"<share_button>" & vbCrLf	 
		
 		xmlflv=xmlflv&"<share>" & vbCrLf	 
		xmlflv=xmlflv&"<id>qqmb</id>" & vbCrLf	 
		xmlflv=xmlflv&"<img>qq.png</img>" & vbCrLf	 
 		xmlflv=xmlflv&"<coordinate>13,30</coordinate>" & vbCrLf	 
		xmlflv=xmlflv&"</share>" & vbCrLf	 
	
 		xmlflv=xmlflv&"<share>" & vbCrLf	 
		xmlflv=xmlflv&"<id>sinaminiblog</id>" & vbCrLf	 
		xmlflv=xmlflv&"<img>sina.png</img>" & vbCrLf	 
 		xmlflv=xmlflv&"<coordinate>101,30</coordinate>" & vbCrLf	 
		xmlflv=xmlflv&"</share>" & vbCrLf	 
	
 		xmlflv=xmlflv&"<share>" & vbCrLf	 
		xmlflv=xmlflv&"<id>qzone</id>" & vbCrLf	 
		xmlflv=xmlflv&"<img>qzone.png</img>" & vbCrLf	 
 		xmlflv=xmlflv&"<coordinate>189,30</coordinate>" & vbCrLf	 
		xmlflv=xmlflv&"</share>" & vbCrLf	 
	
 		xmlflv=xmlflv&"<share>" & vbCrLf	 
		xmlflv=xmlflv&"<id>renren</id>" & vbCrLf	 
		xmlflv=xmlflv&"<img>rr.png</img>" & vbCrLf	 
 		xmlflv=xmlflv&"<coordinate>277,30</coordinate>" & vbCrLf	 
		xmlflv=xmlflv&"</share>" & vbCrLf	 
		
 		xmlflv=xmlflv&"<share>" & vbCrLf	 
		xmlflv=xmlflv&"<id>kaixin001</id>" & vbCrLf	 
		xmlflv=xmlflv&"<img>kaixin001.png</img>" & vbCrLf	 
 		xmlflv=xmlflv&"<coordinate>13,65</coordinate>" & vbCrLf	 
		xmlflv=xmlflv&"</share>" & vbCrLf	 
		
 		xmlflv=xmlflv&"<share>" & vbCrLf	 
		xmlflv=xmlflv&"<id>tianya</id>" & vbCrLf	 
		xmlflv=xmlflv&"<img>tianya.png</img>" & vbCrLf	 
 		xmlflv=xmlflv&"<coordinate>101,65</coordinate>" & vbCrLf	 
		xmlflv=xmlflv&"</share>" & vbCrLf	 

 		xmlflv=xmlflv&"<share>" & vbCrLf	 
		xmlflv=xmlflv&"<id>feixin</id>" & vbCrLf	 
		xmlflv=xmlflv&"<img>feixin.png</img>" & vbCrLf	 
 		xmlflv=xmlflv&"<coordinate>189,65</coordinate>" & vbCrLf	 
		xmlflv=xmlflv&"</share>" & vbCrLf	 
		
 		xmlflv=xmlflv&"<share>" & vbCrLf	 
		xmlflv=xmlflv&"<id>msn</id>" & vbCrLf	 
		xmlflv=xmlflv&"<img>msn.png</img>" & vbCrLf	 
 		xmlflv=xmlflv&"<coordinate>277,65</coordinate>" & vbCrLf	 
		xmlflv=xmlflv&"</share>" & vbCrLf	 	
		
 		xmlflv=xmlflv&"</share_button>" & vbCrLf	 
		xmlflv=xmlflv&"</ckplayer>" & vbCrLf	 

				
		Call skweboa.FSOSaveASP( ""&xmlflv&"",""&MyDbPath&"SKCMS/app/flv/play.xml")	
		
	 End  Function 
	 
	 
	 
	 
 		 Function CloseHtml(ContentStr)
		On Error Resume Next
		Dim TempLoseStr, regEx
		If Trim(ContentStr)="" Then Exit Function
		TempLoseStr = CStr(ContentStr)
		Set regEx = New RegExp
		regEx.Pattern = "<\/*[^$]*>"
		regEx.IgnoreCase = True
		regEx.Global = True
		TempLoseStr = regEx.Replace(TempLoseStr, "")
		CloseHtml = TempLoseStr
    	End Function
'************************************************** 
'函数名：CreateKeyWord 
'作 用：由给定的字符串生成关键字 
'参 数：Constr---要生成关键字的原字符串 
'返回值：生成的关键字 
'************************************************** 
Function CreateKeyWord(byval Constr,Num) 
If Constr="" or IsNull(Constr)=True or Constr="" Then 
CreateKeyWord="$False$" 
Exit Function 
End If 
If Num="" or IsNumeric(Num)=False Then 
Num=2 
End If 
Constr=Replace(Constr,CHR(32),"") 
Constr=Replace(Constr,CHR(9),"") 
Constr=Replace(Constr," ","") 
Constr=Replace(Constr," ","") 
Constr=Replace(Constr,"(","") 
Constr=Replace(Constr,")","") 
Constr=Replace(Constr,"<","") 
Constr=Replace(Constr,">","") 
Constr=Replace(Constr,"""","") 
Constr=Replace(Constr,"?","") 
Constr=Replace(Constr,"*","") 
Constr=Replace(Constr,"|","") 
Constr=Replace(Constr,",","") 
Constr=Replace(Constr,".","") 
Constr=Replace(Constr,"/","") 
Constr=Replace(Constr,"\","") 
Constr=Replace(Constr,"-","") 
Constr=Replace(Constr,"@","") 
Constr=Replace(Constr,"#","") 
Constr=Replace(Constr,"$","") 
Constr=Replace(Constr,"%","") 
Constr=Replace(Constr,"&","") 
Constr=Replace(Constr,"+","") 
Constr=Replace(Constr,":","") 
Constr=Replace(Constr,"：","") 
Constr=Replace(Constr,"‘","") 
Constr=Replace(Constr,"“","") 
Constr=Replace(Constr,"”","") 
Constr=Replace(Constr,"&","") 
Constr=Replace(Constr,"gt;","") 
Dim i,ConstrTemp 
For i=1 To Len(Constr) 
ConstrTemp=ConstrTemp & " " & Mid(Constr,i,Num) 
Next 
If Len(ConstrTemp)<254 Then 
ConstrTemp=ConstrTemp & " " 
Else 
ConstrTemp=Left(ConstrTemp,254) & " " 
End If 
ConstrTemp=left(ConstrTemp,len(ConstrTemp)-1) 
ConstrTemp= Right(ConstrTemp,len(ConstrTemp)-1) 
CreateKeyWord=ConstrTemp 
End Function 
 	 
%>

<% 	Function tablejs() %>
<script>
 function tdshow(obj,arr)
{
	var cArr = arr||["#fff","#FAFAFA","#FFF0B5"];
	var trArr=document.getElementById(obj).getElementsByTagName("tr");
	for(var i=0,j=trArr.length;i<j;i++)
	{
		var o=trArr[i];
		o.style.backgroundColor=cArr[i%2];
		o.onmouseover=function(){this.style.backgroundColor=cArr[2];}
		o.onmouseout=function(){this.style.backgroundColor=cArr[this.sectionRowIndex%2];}
	}
}
function resizeEditor(name,size) {   
	var newheight = parseInt(document.getElementById(name +"___Frame").style.height, 10) + size;   
	if(newheight >= 150) {   
		document.getElementById(name +"___Frame").style.height = newheight + 'px';   
	}   
} 
function ghbq(CurrN) 
{ 
    for(var ii=1; ii<7; ii++) 
    { 
      eval("Tb"+ii).className = (CurrN==ii)?"HomeTabBtnHover":"HomeTabBtnOut"; 
      eval("TbShow"+ii).style.display = (CurrN==ii)?"block":"none"; 
    } 
} 
 </script>

<%End Function %>	
<%

End Class 
	Dim SKCON
	Set SKCON = New F
%>	

 